@tailwind base;
@tailwind components;
@tailwind utilities;

/**
 * Ui page spacing [BEGIN]
 */
body {
  --ui-page-title-size: 38px;
  --ui-page-description-size: 16px;
  --ui-page-label-size: 18px;
  --ui-page-spacing: 64px;
  --ui-page-inner-spacing: 24px;
}

@media only screen and (max-width: 1900px) {
  body {
    --ui-page-spacing: 40px;
  }
}

@media only screen and (max-width: 1360px) {
  body {
    --ui-page-spacing: 32px;
  }
}

@media only screen and (max-width: 1200px) {
  body {
    --ui-page-spacing: 24px;
  }
}

@media only screen and (max-width: 800px) {
  body {
    --ui-page-spacing: 18px;
    --ui-page-inner-spacing: 18px;
    --ui-page-title-size: 32px;
    --ui-page-description-size: 15px;
    --ui-page-label-size: 17px;
    --ui-page-label-size: 16px;
  }
}

@media only screen and (max-width: 400px) {
  body {
    --ui-page-spacing: 12px;
    --ui-page-inner-spacing: 12px;
    --ui-page-title-size: 28px;
    --ui-page-description-size: 14px;
    --ui-page-label-size: 15px;
  }
}

@media only screen and (max-width: 320px) {
  body {
    --ui-page-spacing: 8px;
    --ui-page-inner-spacing: 8px;
    --ui-page-label-size: 14px;
  }
}

@media only screen and (max-width: 300px) {
  body {
    --ui-page-label-size: 12px;
  }
}
/**
 * Ui page spacing [END]
 */
